EDIT - bug #8385

Open issues in DB preferences
07/18/2019 01:34 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

. ABCD Import (see also #8089)

o Biocase Provider for associated DNA should be moved to "Biocase Provider" **this is not the same because this provider

link belongs to the configurator

¢ Disable "allow override" where no local preference exists yet (or better implement local preference)

o ABGD-impert

o Geﬂerakét@menureheeldtst—perspeethfe,#a*erNede—Wizard}this exist in local preferences, too

(o]

¢ handle default with allowOverride=false => #8389

. Adapt menu to local prefs menu (use same structure)

Related issues:

Related to EDIT - bug #7849: Improve DB Preferences handling and saving in Ta... Closed
Related to EDIT - feature request #8089: improve abcd preference page New
Related to EDIT - bug #8389: Correct handling of default values with allowOve... Resolved
Related to EDIT - feature request #8489: Further issues for DB preferences Resolved
Related to EDIT - bug #8494: Better ABCD Preferences Page In Progress

Associated revisions

Revision cf115b19 - 07/18/2019 05:37 PM - Patrick Plitzner

ref #8385 Remove publish flag preference when set to default

Revision 793ded33 - 07/18/2019 05:51 PM - Patrick Plitzner

ref #8385 Fix potential NPE
https://dev.e-taxonomy.eu/redmine/issues/8385#note-6
https://dev.e-taxonomy.eu/redmine/issues/8089
https://dev.e-taxonomy.eu/redmine/issues/8389

Revision 25a3ceie - 08/01/2019 10:50 AM - Katja Luther

ref #8385: fixes for preferences

Revision c2a446b0 - 08/02/2019 10:48 AM - Katja Luther

ref #8385: fixes in preferences - getDefaults() for all pages

Revision 515bfcff - 08/02/2019 11:48 AM - Katja Luther
ref #8385: fix TermOrder Enum

Revision fc3e5e6e - 08/02/2019 11:51 AM - Katja Luther

ref #8385: fixes in preferences - continue

Revision fe64715e - 08/08/2019 02:03 PM - Katja Luther

ref #8385: add new preference predicates

Revision 9¢128421 - 08/08/2019 02:05 PM - Katja Luther
ref #8385: adapt local and db preference pages

Revision 9052368 - 08/15/2019 10:17 AM - Katja Luther
ref #8385: adapt strucutre of db prefs to local prefs

Revision af1131f2 - 08/15/2019 10:20 AM - Katja Luther
ref #8385: add method to get voc by uuid

Revision f9840e06 - 08/16/2019 12:14 PM - Katja Luther

ref #8385: correct preference handling for provider list

Revision a60ccec4 - 08/16/2019 12:14 PM - Katja Luther

ref #8385: enable apply button when provider added or removed from preference

Revision ¢1662123 - 08/16/2019 01:22 PM - Katja Luther

ref #8385: adapt preference keys to preference predicates

Revision 041937b4 - 08/19/2019 09:42 AM - Katja Luther

ref #8385: fix problems in preferences

Revision f9af366e - 08/19/2019 09:53 AM - Katja Luther

ref #8385: smaller changes in preferences

Revision dea4cffc - 08/19/2019 01:06 PM - Katja Luther
ref #8385: add allowOverride to AbcdProvider PreferencePage

Revision c9bb625e - 08/19/2019 01:06 PM - Katja Luther

ref #8385: fix nomenclatural code preference page

Revision dc1780ec - 08/19/2019 02:27 PM - Katja Luther

ref #8385: fix nomenclatural code preference page - continue

Revision f02e08f4 - 08/26/2019 02:43 PM - Katja Luther
ref #8385: fix general and abcd pages

Revision 3d31b229 - 08/26/2019 03:16 PM - Katja Luther

ref #8385: fix nomenclatural status page

Revision ¢793c58b - 08/26/2019 03:27 PM - Katja Luther

ref #8385: fix namedetails view configuration and rank selection
Revision e649e0cb - 08/27/2019 12:06 PM - Katja Luther

ref #8385: label issues, search dialog prefs...

Revision d2a55134 - 08/27/2019 12:06 PM - Katja Luther
ref #8385: label issues

Revision 8fecfdbd - 08/27/2019 12:41 PM - Katja Luther
ref #8385: fix general prefs and publish flag prefs page

Revision 531b0ee6 - 08/27/2019 02:44 PM - Katja Luther
ref #8385: fix specimen pref page

Revision de9fe10f - 08/28/2019 01:49 PM - Katja Luther

ref #8385: smaller label issues

Revision 89683c7f - 08/28/2019 03:40 PM - Katja Luther

ref #8385: smaller label issues

Revision c4ae573c - 08/29/2019 12:50 PM - Katja Luther
ref #8385: fix NPE

Revision 44¢33856 - 08/29/2019 12:52 PM - Katja Luther

ref #8385: fix enabling of allow override button

Revision 643f70e0 - 08/29/2019 01:10 PM - Katja Luther
ref #8385: adapt local default labels to db preference

Revision 53d771bb - 08/29/2019 01:15 PM - Katja Luther
ref #8385: fix enabling and disabling of distribution editor pref page

Revision 6f5b48f3 - 08/29/2019 01:39 PM - Katja Luther
ref #8385: setToDefault needs to setApply = true

Revision cb75abfb - 08/29/2019 02:06 PM - Katja Luther

ref #8385: show db preference for local term preferences if default is selected

Revision 75ca45ac - 08/29/2019 02:36 PM - Katja Luther

ref #8385: do not show default preference for distributionstatus

Revision 0a635f6d - 08/29/2019 04:19 PM - Katja Luther
ref #8385: label issues

Revision bcf07bcc - 09/09/2019 01:05 PM - Katja Luther

ref #8385: minor in preferencesUtil

Revision b6ea6bbc - 09/13/2019 11:02 AM - Katja Luther

ref #8385: methods for better voc selection pref pages

Revision e7cdc2fb - 09/13/2019 11:07 AM - Katja Luther

ref #8385: better handling of distr preferences and term related preferences

History

#1 - 07/18/2019 01:36 PM - Andreas Miller

- Description updated

#2 - 07/18/2019 01:39 PM - Andreas Miller
- Description updated

#3 - 07/18/2019 01:39 PM - Andreas Miiller

- Assignee changed from Katja Luther to Patrick Plitzner

Patrick, can you have a look?

#4 - 07/18/2019 01:42 PM - Andreas Miiller

- Description updated

#5 - 07/18/2019 01:44 PM - Andreas Miiller
- Description updated

#6 - 07/18/2019 01:45 PM - Andreas Miiller
After setting Publish Flag to default and reopening:

8.0.201907180811

test.e-taxonomy.eu (edit-test) / rem_conf_am

login admin
editor version : 5.
server

schema version : 5.

5.0.0.20190221

os : Windows Server 2012 R2 6.3 amdo64

java

1.8

.0_121

java.lang.IllegalArgumentException: No enum constant eu.etaxonomy.cdm.model.metadata.PublishEnum.

at java.lang.Enum.valueOf (Enum. java:238)
at eu.etaxonomy.cdm.model.metadata.PublishEnum.valueOf (PublishEnum. java:1)
at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.PublishFlagPreference.getValues (PublishFlagPreferen

ce.java:75)
at eu.etaxonomy.taxeditor.preference.PublishFlagLocalPreference.createContents (PublishFlagLocalPreference.
java:57)
org.eclipse.jface.preference.PreferencePage.createControl (PreferencePage. java:241)
eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage.createControl (CdmPreferencePage. java:65)
jface.preference.PreferenceDialog.createPageControl (PreferenceDialog. java:1430)
jface.preference.PreferenceDialog$9.run (PreferenceDialog. java:1197)
core.runtime.SafeRunner.run (SafeRunner. java:42)
ul.internal.JFaceUtil$l.run(JFaceUtil.java:50)

jface.util.SafeRunnable.run (SafeRunnable.java:173)
jface.preference.PreferenceDialog.showPage (PreferenceDialog.java:1189)
jface.preference.PreferenceDialog$5.lambdas$0 (PreferenceDialog. java:656)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
jface.preference.PreferenceDialog$5.selectionChanged (PreferenceDialog. java:653)
jface.viewers.StructuredvViewer$3.run (StructuredViewer. java:878)
core.runtime.SafeRunner.run(SafeRunner. java:42)
ui.internal.JFaceUtil$1l.run (JFaceUtil. java:50)

jface.util.SafeRunnable.run (SafeRunnable. java:173)
jface.viewers.StructuredViewer.firePostSelectionChanged (StructuredViewer. java:875)
jface.viewers.StructuredViewer.setSelection (StructuredViewer. java:1729)
jface.viewers.TreeViewer.setSelection (TreeViewer.java:1077)
jface.preference.PreferenceDialog.selectSavedItem (PreferenceDialog. java:991)
jface.preference.PreferenceDialog.lambda$0 (PreferenceDialog. java:346)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
jface.preference.PreferenceDialog.createContents (PreferenceDialog. java:343)
jface.window.Window.create (Window. java:426)

jface.dialogs.Dialog.create (Dialog.java:1095)

eu.etaxonomy.taxeditor.workbench.handler.OpenAdminPreferencesHandler.execute (OpenAdminPreferencesHandle
123)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
e4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
e4.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)
ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
e4.uil.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContributionItem. j

ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

java:454)
at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt
em. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#7 - 07/18/2019 02:06 PM - Andreas Miuller

- Description updated

#8 - 07/18/2019 02:07 PM - Andreas Miuller

- Description updated

#9 - 07/18/2019 02:08 PM - Andreas Miiller
- Priority changed from New to Highest

#10 - 07/18/2019 02:44 PM - Andreas Miiller

- Description updated

#11 - 07/18/2019 02:45 PM - Andreas Miiller
- Related to bug #7849: Improve DB Preferences handling and saving in TaxEditor added

#12 - 07/18/2019 03:09 PM - Andreas Miiller

- Description updated

#13 - 07/18/2019 03:25 PM - Andreas Miiller

- Description updated

#14 - 07/18/2019 03:45 PM - Andreas Miiller

- Description updated

#15 - 07/18/2019 03:49 PM - Andreas Miiller

- Description updated

#16 - 07/18/2019 03:56 PM - Andreas Miiller

- Description updated

#17 - 07/18/2019 04:13 PM - Andreas Miiller

- Description updated

#18 - 07/18/2019 04:14 PM - Andreas Miiller
- Related to feature request #8089: improve abcd preference page added

#19 - 07/18/2019 04:33 PM - Andreas Miiller

io.ABCD.config is stored in DB with value NULL even if nothing has changed, if this is default value, the default should not be stored

CRITICAL: if this value is set the navigator does not show any classifications after restart. We need to check why this is and fix it (it is the first page
and this can happen accidentally).

Maybe these stacktraces are related:

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.getDBAbcdImportConfigurationPreference (PreferencesUti
1.java:1447)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.resetToDBPreferenceAbcdCOnfigurator (PreferencesUtil.j
ava:1541)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.updateAbcdImportConfigurationPreference (PreferencesUt
il.java:1535)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.updateDBPreferences (PreferencesUtil.java:1711)

at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportPreference.performOk (AbcdImportPreference
.java:367)

at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog. java:905)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ApplicationWorkbenchAdvisor$CdmStatusHandler.handle (ApplicationWorkbenchAdvisor.
java:123)

at org.eclipse.ui.internal.WorkbenchErrorHandlerProxy.handle (WorkbenchErrorHandlerProxy.java:31)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager.java:204)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager.java:246)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager.java:257)

#21 - 07/18/2019 05:38 PM - Patrick Plitzner

- Description updated

#22 - 07/18/2019 05:54 PM - Patrick Plitzner

Andreas Muller wrote:

io.ABCD.config is stored in DB with value NULL even if nothing has changed, if this is default value, the default should not be stored

CRITICAL: if this value is set the navigator does not show any classifications after restart. We need to check why this is and fix it (it is the first
page and this can happen accidentally).

Maybe these stacktraces are related:

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.getDBAbcdImportConfigurationPreference (PreferencesU
til.Jjava:1447)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.resetToDBPreferenceAbcdCOnfigurator (PreferencesUtil
.Java:1541)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.updateAbcdImportConfigurationPreference (Preferences
Util.java:1535)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.updateDBPreferences (PreferencesUtil. java:1711)

at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportPreference.performOk (AbcdImportPreferen
ce.java:367)

at org.eclipse.jface.preference.PreferenceDialog$8.run (PreferenceDialog. java:905)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner.java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil.java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable. java:173)

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ApplicationWorkbenchAdvisor$CdmStatusHandler.handle (ApplicationWorkbenchAdviso
r.java:123)

at org.eclipse.ui.internal.WorkbenchErrorHandlerProxy.handle (WorkbenchErrorHandlerProxy.java:31)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager. java:204)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager.java:246)

at org.eclipse.ui.statushandlers.StatusManager.handle (StatusManager.java:257)
This is now fixed. It was an NPE because the ABCD config is stored as null in the DB Prefs. Wouldn't it be better to just delete the preference if the
config is null. null means default in this case and default should be the same as deleting the preference.

#23 - 07/18/2019 05:55 PM - Patrick Plitzner

Patrick Plitzner wrote:

Wouldn't it be better to just delete the preference if the config is null. null means default in this case and default should be the same as deleting
the preference.

| just saw that this is already mentioned in the ticket description.

#24 - 07/18/2019 08:10 PM - Andreas Miiller

the above both fixes seem to work (though the last is only a workaround for a real fix (full delete of the preference))

#25 - 07/18/2019 08:24 PM - Andreas Miiller

- Description updated

#26 - 07/18/2019 08:30 PM - Andreas Miiller
- Related to bug #8389: Correct handling of default values with allowOverride=false added

#27 - 07/18/2019 08:31 PM - Andreas Miiller

- Description updated

#28 - 07/19/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.9

#29 - 07/30/2019 02:15 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

Passing the ticket back to Katja. We may have a look on it together, though.

#30 - 07/31/2019 10:40 AM - Katja Luther

- Description updated

#31 - 08/01/2019 01:22 PM - Katja Luther

- Description updated

#32 - 08/01/2019 01:23 PM - Katja Luther

- Status changed from New to In Progress

#33 - 08/02/2019 11:03 AM - Katja Luther

- Description updated

#34 - 08/02/2019 11:08 AM - Katja Luther

- Description updated

#35 - 08/13/2019 10:04 AM - Katja Luther

- Description updated

#36 - 08/16/2019 10:58 AM - Katja Luther

- Description updated

#37 - 08/16/2019 11:58 AM - Katja Luther

- Description updated

#38 - 08/16/2019 10:09 PM - Andreas Miiller

- Status changed from In Progress to Feedback
this is fixed

#39 - 08/16/2019 10:12 PM - Andreas Miiller
- Description updated

Name details view can not be set to "default" (always chooses enabled after reopening)

this is fixed
#40 - 08/16/2019 10:19 PM - Andreas Miiller
Andreas Miller wrote:
When opening Peferences - Distribution Editor for the first time the drop downs for some fields were completely empty. Is this because maybe

old values were stored that are not supported anymore? Do we need an update script for them? How does the TaxEditor handle such entries.
Does it throw exceptions if it uses them or does it use the default value instead?

this is fixed

#41 - 08/16/2019 10:21 PM - Andreas Miiller

this is fixed

#42 - 08/16/2019 10:25 PM - Andreas Miiller

this is fixed

#43 - 08/16/2019 10:27 PM - Andreas Miiller

this is fixed.

#44 - 08/16/2019 10:33 PM - Andreas Miiller

this is fixed

#45 - 08/16/2019 10:36 PM - Andreas Miiller

this is fixed

#46 - 08/21/2019 11:09 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#47 - 08/26/2019 09:04 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 0 to 70

this is fixed

#48 - 08/26/2019 09:05 AM - Andreas Miiller

this is fixed

#49 - 08/26/2019 09:52 AM - Andreas Miiller

this is fixed
#50 - 08/26/2019 10:00 AM - Andreas Miiller

fixed

#51 - 08/26/2019 10:14 AM - Andreas Muiller

Biocase Provider for associated DNA should be moved to "Biocase Provider"

this is not the same because this provider link belongs to the configurator

But still it would be nice to not allow to enter all providers may it be ABCD providers or DNA providers once at one place and then offer them where
ever they are used as dropdown.

Also | do not understand why the biocase provider itself should not be part of the configurator while the DNA provider is part of it. Both is part of a
specific import and therefore should be configurable when starting an import. Or do | misunderstand something here.

Note: to me it also seems like both should be usually a pair. For a given biocase provider | would expect that there is usually 1 DNA bank provider, so
they could be selected as a pair.

#52 - 08/26/2019 10:21 AM - Andreas Miiller

Why does the nomenclatural code not provide a default? Is this wanted? Does ABCD not need a nomenclatural code? | remember ABCD
distinguishes botanical, zoological, ... by itself so maybe this parameter is not needed and only comes from the super class? If so, we should remove
it. If not, and if a null value is not explicitly handled without using a default instead we should define the usage of default here, | guess. But | don't
know the import so well so maybe there is a reason for the current implementation.

#53 - 08/26/2019 10:23 AM - Andreas Miiller

#54 - 08/26/2019 10:38 AM - Andreas Miiller

io.ABCD.config is stored in DB with value NULL even if nothing has changed, if this is default value, the default should not be stored

This is-sti "

#55 - 08/26/2019 10:45 AM - Andreas Muller

Andreas Muller wrote:
Biocase Provider for associated DNA should be moved to "Biocase Provider"

this is not the same because this provider link belongs to the configurator

But still it would be nice to not allow to enter all providers may it be ABCD providers or DNA providers once at one place and then offer them
where ever they are used as dropdown.
Also | do not understand why the biocase provider itself should not be part of the configurator while the DNA provider is part of it. Both is part of
a specific import and therefore should be configurable when starting an import. Or do | misunderstand something here.

Note: to me it also seems like both should be usually a pair. For a given biocase provider | would expect that there is usually 1 DNA bank
provider, so they could be selected as a pair.

In general we should distinguish clearly between the list of available providers (may it be ABCD providers or DNA providers) and the default or
predefined single values for the import configuration which provider to use for ABCD and for DNA. This is currently still mixed up. (But might be a new
ticket)

#56 - 08/26/2019 10:48 AM - Andreas Miiller

similar for BiocaseProvider: io.ABCD.providerList is stored with "Keine Provider verfligbar;" which seems to be incorrect as this is only a label for
a non existing provider

This is fixed but still "Restore default" does not completely remove the preference (and even does not clear the existing list, what | would expect)

#57 - 08/26/2019 12:13 PM - Andreas Miiller

this is fixed

#58 - 08/26/2019 12:58 PM - Andreas Miiller

fixed

#59 - 08/26/2019 12:59 PM - Andreas Miiller
Same-forranks—Fhey-are notstored-

fixed

#60 - 08/26/2019 01:02 PM - Andreas Miiller

Andreas Muller wrote:

Same for ranks. They are not stored.

Hmm, maybe | made a mistake. This seems to work.

#61 - 08/26/2019 01:06 PM - Andreas Miiller

fixed

#62 - 08/26/2019 01:07 PM - Andreas Miiller

#63 - 08/26/2019 01:08 PM - Andreas Miiller

#64 - 08/26/2019 01:08 PM - Andreas Miiller

#65 - 08/26/2019 01:10 PM - Andreas Miiller
Andreas Muller wrote:

Name details view: "Restore Defaults" does not enable "Secundum enabled" and "Secundum Reference Details"

#66 - 08/26/2019 01:15 PM - Andreas Miiller

#67 - 08/26/2019 01:20 PM - Andreas Miiller

Andreas Muller wrote:

General: When choosing "No - allow override" for all 3 entries the values shown in local preferences are "Use Default(Yes)",Default(No)" and
"Default(Yes)" but it should be all "Default(No)".

Also when choosing explicit "Yes" in local preferences for all 3 of them this is not stored in local prefs but after reopen it shows "Use Default
XXX" again.

This might be the case elsewhere, too. For now | tested only for General page.

fixed

#69 - 08/26/2019 01:35 PM - Andreas Miiller

Andreas Muller wrote:
Andreas Muller wrote:

General: When choosing "No - allow override" for all 3 entries the values shown in local preferences are "Use Default(Yes)",Default(No)"
and "Default(Yes)" but it should be all "Default(No)".

Also when choosing explicit "Yes" in local preferences for all 3 of them this is not stored in local prefs but after reopen it shows "Use Default
XXX" again.

This might be the case elsewhere, too. For now | tested only for General page.

Problem is similar for "Search Dialog". There the correct value is shown in local preferences but it should show "Use Default (%correct value%)".
Currently it does not show the "Use default" even if no value was selected before.

fixed

#70 - 08/26/2019 01:36 PM - Andreas Miiller

#71 - 08/26/2019 01:37 PM - Andreas Miiller

- Related to feature request #8489: Further issues for DB preferences added
#72 - 08/26/2019 01:41 PM - Andreas Miiller

fixed

#73 - 08/28/2019 02:05 PM - Katja Luther
- Related to bug #8494: Better ABCD Preferences Page added

#74 - 08/29/2019 11:58 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

abcd preferences are moved to a new ticket, please review the rest.

#75 - 08/29/2019 12:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 80
Is there a reason why allow override is always disabled for "Enable Distribution Editor"?
#76 - 08/29/2019 12:45 PM - Katja Luther

Andreas Muller wrote:

Is there a reason why allow override is always disabled for "Enable Distribution Editor"?

| cannot reproduce this. But will have a look.
#77 - 08/29/2019 12:48 PM - Andreas Miiller
Andreas Muller wrote:

General: When choosing "No - allow override" for all 3 entries the values shown in local preferences are "Use Default(Yes)",Default(No)" and
"Default(Yes)" but it should be all "Default(No)".

This might be the case elsewhere, too. For now | tested only for General page.

This is not yet fixed for all such cases. | tested for Publish Flag and Distribution Editor preferences and the default values were not taken from the DB
prefs. It works correct for the "General" page.

Please carefully check ALL pages for this issue.

#78 - 08/29/2019 12:53 PM - Katja Luther

Katja Luther wrote:

Andreas Muller wrote:

Is there a reason why allow override is always disabled for "Enable Distribution Editor"?

| cannot reproduce this. But will have a look.

is fixed

#79 - 08/29/2019 01:12 PM - Andreas Miiller
Andreas Muller wrote:
Saving of "Publish Flag" does not always work. You may try different states including allow override adn "Restore Defaults". Sometime it seems

to work, sometimes it does not. Not yet fully sure about the pattern.

This is still open. Currently | can't save the state at all. Always "default" is shown after reopening.
#80 - 08/29/2019 01:15 PM - Katja Luther

Andreas Muller wrote:
Andreas Muller wrote:

General: When choosing "No - allow override" for all 3 entries the values shown in local preferences are "Use Default(Yes)",Default(No)"
and "Default(Yes)" but it should be all "Default(No)".

This might be the case elsewhere, too. For now | tested only for General page.
This is not yet fixed for all such cases. | tested for Publish Flag and Distribution Editor preferences and the default values were not taken from
the DB prefs. It works correct for the "General" page.

Please carefully check ALL pages for this issue.

this should be fixed now

#81 - 08/29/2019 01:16 PM - Katja Luther

Andreas Muller wrote:
Andreas Muller wrote:

Saving of "Publish Flag" does not always work. You may try different states including allow override adn "Restore Defaults". Sometime it
seems to work, sometimes it does not. Not yet fully sure about the pattern.

This is still open. Currently | can't save the state at all. Always "default" is shown after reopening.

this is fixed with the last commit as well.

#82 - 08/29/2019 01:22 PM - Andreas Miiller

Andreas Muller wrote:

Generally values recovered by "Restore default" often seem not to be persisted but old values are kept.

Stil-dees-nrotwo or-Name-detai Only-if-pressing
ck all pages if it

Pe

ase che works.

#83 - 08/29/2019 01:58 PM - Katja Luther
Andreas Miller wrote:
Andreas Miiller wrote:
Generally values recovered by "Restore default" often seem not to be persisted but old values are kept.

Still does not work for Name details view. Only if pressing "Apply" it works. OK does not delete the record.
| have not tested other pages. Please check all pages if it works.

sorry, | missed to call setApply(true), this is fixed.

#84 - 08/29/2019 02:21 PM - Andreas Miiller

Names.NomenclaturalStatus restores default only after clicking 2x "Restore Default". Or more exact, clicking the first time seem to restore only the
state before opening the preferences while the second time the value is really set to the default value.

#85 - 08/29/2019 02:28 PM - Andreas Miiller

Distribution editor status and area selection: restore default deletes the values correctly but when opening the selection dialogs still the old values are
shown.

#86 - 08/29/2019 02:30 PM - Katja Luther

Andreas Muller wrote:

Distribution editor status and area selection: restore default deletes the values correctly but when opening the selection dialogs still the old
values are shown.
you need to click on apply or ok

#87 - 08/29/2019 02:32 PM - Andreas Miiller

Distribution editor: Restore default removes the entry "distribution.status.term” from the above table (and completely removes all values from DB).

When reopening the entry in the table is shown again. This is inconsistent.

The main problem is that the table does not show the actual value, but only subject and predicate. So | can't see what value was restored.

Also it is not clear why this first line always seems to appear even if no preference was set yet.

#88 - 08/29/2019 02:37 PM - Andreas Miiller

Katja Luther wrote:

Andreas Miiller wrote:

Distribution editor status and area selection: restore default deletes the values correctly but when opening the selection dialogs still the old
values are shown.

you need to click on apply or ok

why? This is not what | would expect.

Hmm, now | see that the dialog values are also stored if | click on Cancel. This is also not what | would expect. But it is consistent with the above
issue.

Generally we need to change this. But | guess it is more difficult so we probably better open a new ticket.

#89 - 08/29/2019 02:37 PM - Katja Luther
Andreas Muller wrote:

Distribution editor: Restore default removes the entry "distribution.status.term" from the above table (and completely removes all values from
DB).

When reopening the entry in the table is shown again. This is inconsistent.
The main problem is that the table does not show the actual value, but only subject and predicate. So | can't see what value was restored.

Also it is not clear why this first line always seems to appear even if no preference was set yet.

now the default preference is not shown in the table anymore

#90 - 08/29/2019 03:30 PM - Andreas Miiller

In local preferences Publish Flag for "Use Default" the Camel Case is used, not the current correct label. E.g. (NotPublished) instead of "(Don't
publish)"

#91 - 08/29/2019 04:25 PM - Katja Luther

Andreas Muller wrote:

In local preferences Publish Flag for "Use Default" the Camel Case is used, not the current correct label. E.g. (NotPublished) instead of "(Don't
publish)"

is fixed, but for the next release.

#92 - 08/29/2019 10:17 PM - Andreas Miiller
- % Done changed from 80 to 90

can you move open issues to #84897

#93 - 03/09/2020 10:19 AM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote:
https://dev.e-taxonomy.eu/redmine/issues/8489

can you move open issues to #84897

This is done, therefore | close this ticket.
